package com.iamberry.wechat.service.mapper;

import java.util.List;

import com.iamberry.wechat.core.entity.drp.PlaceRoleInfo;

public interface DrpRoleInfoMapper {
	
	/**
	 * 分页获取分销角色表信息
	 * @param drpRoleInfo
	 * @return
	 * @author liuzhiwei
	 */
	public List<PlaceRoleInfo> getDrpRoleList(PlaceRoleInfo drpRoleInfo);
	
	/**
	 * 没有分页的分销角色选择下拉列表
	 * @param drpRoleInfo
	 * @return
	 * @author liuzhiwei
	 */
	public List<PlaceRoleInfo> getDrpRoleList2();
	/**
	 * 获取分销角色表数据总条目数
	 * @return
	 * @author liuzhiwei
	 */
	public int selectDrpRoleCount(PlaceRoleInfo drpRoleInfo);
	
	/**
	 * 添加角色信息
	 * @param drpRoleInfo
	 * @return
	 * @author liuzhiwei
	 */
	public Integer addDrpRoleInfo(PlaceRoleInfo drpRoleInfo);
	
	/**
	 * 根据条件查询角色信息
	 * @param drpRoleInfo
	 * @return
	 * @author liuzhiwei
	 */
	public PlaceRoleInfo selectDrpRoleInfo(PlaceRoleInfo drpRoleInfo);
	
	/**
	 * 修改分销角色表数据
	 * @param drpRoleInfo
	 * @return
	 * @author liuzhiwei
	 */
	public Integer updateDrpRoleInfo(PlaceRoleInfo drpRoleInfo);
	
	/**
	 * 修改分销角色状态
	 * @param drpRoleInfo
	 * @return
	 * @author liuzhiwei
	 */
	public Integer updateDrpRoleStatus(PlaceRoleInfo drpRoleInfo);
	
	/**
	 * 查询所有在用状态的角色信息
	 * @return
	 */
	public List<PlaceRoleInfo> getDrpRoleListByState();
	
	/**
	 * 根据placeRoleInfo查询角色信息
	 * @param placeRoleInfo
	 * @return
	 */
	public List<PlaceRoleInfo> selectRoleName(PlaceRoleInfo placeRoleInfo);
}
